> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/data-pipeline/outputs/null.md).

# Null

{% hint style="info" %}
**Supported event types:** `logs` `metrics`
{% endhint %}

The *Null* output plugin discards events.

## Configuration parameters

This plugin supports the following parameters:

| Key                | Description                                                                                                                                                                                                     | Default   |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| `format`           | Specify the data format. Supported formats: `msgpack`, `json`, `json_lines`, `json_stream`.                                                                                                                     | `msgpack` |
| `json_date_format` | Specify the format of the date. Supported formats: `double`, `epoch`, `epoch_ms`, `iso8601` (for example, `2018-05-30T09:39:52.000681Z`), and `java_sql_timestamp` (for example, `2018-05-30 09:39:52.000681`). | `double`  |
| `json_date_key`    | Specify the name of the time key in the output record. To disable the time key, set the value to `false`.                                                                                                       | `date`    |
| `workers`          | The number of [workers](/manual/administration/multithreading.md#outputs) to perform flush operations for this output.                                                                                          | `1`       |

## Get started

You can run the plugin from the command line or through the configuration file:

### Command line

From the command line you can let Fluent Bit discard events with the following options:

```shell
fluent-bit -i cpu -o null
```

### Configuration file

In your main configuration file append the following:

{% tabs %}
{% tab title="fluent-bit.yaml" %}

```yaml
pipeline:
  inputs:
    - name: cpu
      tag: cpu

  outputs:
    - name: null
      match: '*'
```

{% endtab %}

{% tab title="fluent-bit.conf" %}

```
[INPUT]
  Name cpu
  Tag  cpu

[OUTPUT]
  Name null
  Match *
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fluentbit.io/manual/data-pipeline/outputs/null.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
